Bug 849391 - account has lost a gear
account has lost a gear
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-08-18 22:24 EDT by clive darra
Modified: 2015-05-14 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-17 17:29:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description clive darra 2012-08-18 22:24:51 EDT
Description of problem:
after creating and deleting apps via gui and cli i am now limited to 2 gears instead of 3

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create and delete some apps to use up all 3 gears
(maybe including a scalable app via rhc app create -a lamp -t php-5.3 -s -d)
2. delete all apps 
3. try and create three new apps via gui or cli
Actual results:
after two apps have been created you get an error
"has already reached the gear limit of 3"

Expected results:
should still allow 3 gears to be used

Additional info:
Comment 1 clive darra 2012-08-18 22:33:38 EDT
gui error is 

"You have reached the maximum allowed gears and cannot create another. You must scale down an application or remove an application or cartridge to continue."
Comment 2 Rajat Chopra 2012-08-20 15:05:32 EDT
There are some known issues with parallel creation/deletion of applications. While we fix those issues, if you can recall any particular sequence that lead to this error, it would be helpful.

Meanwhile, the account that holds the two given application has been fixed.
Comment 3 Rajat Chopra 2012-08-20 15:06:48 EDT
Kindly verify that you can use 3 gears, and close the bug.
Comment 4 clive darra 2012-08-20 16:47:50 EDT
many thanks i now have access to all 3 gears again

maybe i just had to wait 15 minutes for all gears to be freed as per 

"NOTE: This Node and builder Application will consume one Gear. Nodes and builder Applications are automatically deleted and the corresponding Gear is freed after 15 idle minutes."

the sequence i can remember is

1) rhc app create -a lamp -t php-5.3 -s -d
2) use gui to add mysql gear to above app
3) delete everything
4) use gui to add php gear - SUCCESS
4) use gui to add php gear - SUCCESS
4) use gui to add php gear - FAILED not enough gears
Comment 5 Meng Bo 2012-08-23 05:59:00 EDT
According to Comment#2, mark this bug as verified since the user's account has been fixed.

Note You need to log in before you can comment on or make changes to this bug.